ooo-build r14371 - in trunk: . bin



Author: jholesovsky
Date: Tue Oct 21 15:07:12 2008
New Revision: 14371
URL: http://svn.gnome.org/viewvc/ooo-build?rev=14371&view=rev

Log:
        * bin/cws-extract: New one for the SVN.


Added:
   trunk/bin/cws-extract   (contents, props changed)
Modified:
   trunk/ChangeLog

Added: trunk/bin/cws-extract
==============================================================================
--- (empty file)
+++ trunk/bin/cws-extract	Tue Oct 21 15:07:12 2008
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+usage() {
+    echo "cws-extract cws_name"
+    exit 1;
+}
+
+echo "Warning!  This is the SVN version of cws-extract, use
+cws-extract-cvs for the older OOo CWSes."
+
+CWS="$1"
+
+[ -n "$CWS" ] || usage
+
+LOG=`mktemp /tmp/cws-extract.XXXXXX`
+
+# log of the branch only
+svn log --stop-on-copy "svn+ssh://svn svn services openoffice org/ooo/cws/$CWS" > "$LOG"
+
+MERGE_BASE=`grep -A 1 '^--------------------------------------' "$LOG" | \
+            grep '^r' | tail -n 1 | sed 's/^r\([0-9]*\)[^0-9].*/\1/'`
+
+svn diff -r $MERGE_BASE "svn+ssh://svn svn services openoffice org/ooo/cws/$CWS" > "cws-$CWS.diff"
+
+rm "$LOG"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]